Passer au contenu principal
DELETE
https://{tenantDomain}/api/v2
/
users
/
{id}
/
permissions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Users;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.Permissions.DeleteAsync(
            id: "id",
            request: new DeleteUserPermissionsRequestContent {
                Permissions = new List<PermissionRequestPayload>(){
                    new PermissionRequestPayload {
                        ResourceServerIdentifier = "resource_server_identifier",
                        PermissionName = "permission_name"
                    },
                }

            }
        );
    }

}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

ID of the user to remove permissions from.

Corps

permissions
object[]
requis

List of permissions to remove from this user.

Minimum array length: 1

Réponse

User permissions removed.